# csskit

csskit is a suite of high performance tools for CSS, written in Rust.

## Goals

The goal of this project is to provide a high quality set of tools for writing native CSS and shipping said CSS into
production the best way possible. This means:

- Preventing mistakes at author time (parsing & linting).
- Advising best practices and highlighting pitfalls (linting).
- Allow consistent homogeneous code to be written (formatting).
- Allowing the authorship of modern CSS that is downsampled for browser support ("transpiling").
- Provides integration with IDEs (LSP).
- Producing the smallest available artefacts (minification & bundling).
- Provide a way for authors to migrate from alternative authoring formats (such as SCSS).

## Usage

- Visit the [Getting started guide](https://csskit.rs/docs/getting-started/) for more detail.
